Package org.springframework.cglib.reflect

# Class FastMethod

java.lang.Object
org.springframework.cglib.reflect.FastMember
org.springframework.cglib.reflect.FastMethod

public class FastMethod extends FastMember

## Field Summary

### Fields inherited from class org.springframework.cglib.reflect.FastMember

`fc, index, member`

## Method Summary

Modifier and Type
Method
Description
`Class[]`
`getExceptionTypes()`
`Method`
`getJavaMethod()`
`Class[]`
`getParameterTypes()`
`Class`
`getReturnType()`
`Object`
`invoke(Object obj, Object[] args)`

### Methods inherited from class org.springframework.cglib.reflect.FastMember

`equals, getDeclaringClass, getIndex, getModifiers, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### getReturnType

public Class getReturnType()

### getParameterTypes

public Class[] getParameterTypes()

Specified by:
  `getParameterTypes` in class `FastMember`

### getExceptionTypes

public Class[] getExceptionTypes()

Specified by:
  `getExceptionTypes` in class `FastMember`

### invoke

public Object invoke(Object obj, Object[] args) throws InvocationTargetException

Throws:
  `InvocationTargetException`

### getJavaMethod

public Method getJavaMethod()